import { defineStore } from 'pinia'
import { ref } from 'vue'

export const useDateStore = defineStore('dateStore', () => {
  // ✅ ใช้วันปัจจุบันเป็นค่าเริ่มต้น
  const currentDate = ref(new Date().toISOString().slice(0, 10))

  // ✅ อัปเดตวันที่
  const setDate = (newDate: string) => {
    currentDate.value = newDate
  }

  return {
    currentDate,
    setDate,
  }
})
